classification
Title: IDLE: populate Run Customized arguments with previous entry
Type: enhancement Stage: resolved
Components: IDLE Versions: Python 3.9, Python 3.8, Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder: IDLE: Re-order run menu
View: 37748
Assigned To: terry.reedy Nosy List: miss-islington, rhettinger, terry.reedy
Priority: normal Keywords: patch

Created on 2019-07-19 07:26 by rhettinger, last changed 2019-08-03 04:52 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14870 merged nsiregar, 2019-07-20 16:40
PR 14881 closed miss-islington, 2019-07-21 15:37
PR 14882 merged miss-islington, 2019-07-21 15:37
PR 14883 merged terry.reedy, 2019-07-21 16:00
PR 14893 merged miss-islington, 2019-07-21 19:34
PR 14894 merged miss-islington, 2019-07-21 20:26
PR 14895 merged miss-islington, 2019-07-21 20:28
Messages (8)
msg348149 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-07-19 07:26
Today, I did some user testing for the 3.8 beta when teaching the argparse module.  The new "Run Customized" option needs two usability tweaks.  1) Move the menu option up by one so that the regular F5 "run" is last -- learners we having a hard time finding and mouse targeting the more commonly used regular "run" option.  2)  The text input widget should be pre-populated with the most recently run command-line.  This makes it easier to test variants of the same command rather retyping it on every invocation.  Even more desirable would be to have a multi-command history, but in the absence of that an editable single command history would suffice.
msg348251 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-07-21 15:37
New changeset 35b87e6001bd991f625abe305951c77ddeb9a9c5 by Terry Jan Reedy (Ngalim Siregar) in branch 'master':
bpo-37627: Initialize IDLE Custom Run dialog with previous entries (#14870)
https://github.com/python/cpython/commit/35b87e6001bd991f625abe305951c77ddeb9a9c5
msg348252 - (view) Author: miss-islington (miss-islington) Date: 2019-07-21 16:09
New changeset d9086f2324264e93155dd81f4484975215e38f00 by Miss Islington (bot) in branch '3.7':
bpo-37627: Initialize IDLE Custom Run dialog with previous entries (GH-14870)
https://github.com/python/cpython/commit/d9086f2324264e93155dd81f4484975215e38f00
msg348261 - (view) Author: miss-islington (miss-islington) Date: 2019-07-21 20:25
New changeset 9325f4091b66f3a9cc85681435367671d335e3e7 by Miss Islington (bot) in branch '3.8':
bpo-37627: Initialize IDLE Custom Run dialog with previous entries (GH-14870)
https://github.com/python/cpython/commit/9325f4091b66f3a9cc85681435367671d335e3e7
msg348262 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-07-21 20:26
New changeset 4214f1ec3b3c73badd639229eff81eb5e57b82ec by Terry Jan Reedy in branch 'master':
bpo-37627: Add acknowledgment (#14883)
https://github.com/python/cpython/commit/4214f1ec3b3c73badd639229eff81eb5e57b82ec
msg348263 - (view) Author: miss-islington (miss-islington) Date: 2019-07-21 20:38
New changeset 849a37a2b640af14cfb004cdbced01983b0d9d2b by Miss Islington (bot) in branch '3.7':
bpo-37627: Add acknowledgment (GH-14883)
https://github.com/python/cpython/commit/849a37a2b640af14cfb004cdbced01983b0d9d2b
msg348264 - (view) Author: miss-islington (miss-islington) Date: 2019-07-21 20:38
New changeset 52ee929957871da3d2622ab16887a1a03e6e08bf by Miss Islington (bot) in branch '3.8':
bpo-37627: Add acknowledgment (GH-14883)
https://github.com/python/cpython/commit/52ee929957871da3d2622ab16887a1a03e6e08bf
msg348941 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2019-08-03 04:52
This issues fixed item 2 above.  Re-ordering the Run menu is #37748
History
Date User Action Args
2019-08-03 04:52:50terry.reedysetstatus: open -> closed

superseder: IDLE: Re-order run menu
type: enhancement
title: Minor improvements to IDLE's "Run Customized" -> IDLE: populate Run Customized arguments with previous entry
messages: + msg348941
versions: + Python 3.7
resolution: fixed
stage: patch review -> resolved
2019-07-21 20:38:12miss-islingtonsetmessages: + msg348264
2019-07-21 20:38:05miss-islingtonsetmessages: + msg348263
2019-07-21 20:28:31miss-islingtonsetpull_requests: + pull_request14676
2019-07-21 20:26:40miss-islingtonsetpull_requests: + pull_request14675
2019-07-21 20:26:27terry.reedysetmessages: + msg348262
2019-07-21 20:25:46miss-islingtonsetmessages: + msg348261
2019-07-21 19:34:21miss-islingtonsetpull_requests: + pull_request14674
2019-07-21 16:09:23miss-islingtonsetnosy: + miss-islington
messages: + msg348252
2019-07-21 16:00:15terry.reedysetpull_requests: + pull_request14668
2019-07-21 15:37:49miss-islingtonsetpull_requests: + pull_request14667
2019-07-21 15:37:42miss-islingtonsetpull_requests: + pull_request14666
2019-07-21 15:37:40terry.reedysetmessages: + msg348251
2019-07-20 16:40:54nsiregarsetkeywords: + patch
stage: patch review
pull_requests: + pull_request14659
2019-07-19 07:26:51rhettingercreate